- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# GLExtensions File Reference

`#include <osg/Export>`
`#include <string>`
`#include <dlfcn.h>`

Include dependency graph for GLExtensions:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | osg
## Defines
#define | OSG_GLEXTENSIONS 1
## Functions
SG_EXPORT bool | osg::isGLExtensionSupported (const char *extension)
| Return true if OpenGL "extension" is supported.
void * | osg::getGLExtensionFuncPtr (const char *funcName)
| Return the address of the specified OpenGL function.
SG_EXPORT void | osg::setGLExtensionDisableString (const std::string &disableString)
| Set a list of extensions to disable for different OpenGL renderers.
SG_EXPORT std::string & | osg::getGLExtensionDisableString ()
| Get the list of extensions that are disabled for various OpenGL renderers.
void * | osg::getGLExtensionFuncPtr (const char *funcName, const char *fallbackFuncName)
| Return the address of the specified OpenGL function.
SG_EXPORT bool | osg::isGLUExtensionSupported (const char *extension)
| Return true if OpenGL "extension" is supported.

## Define Documentation

#define OSG_GLEXTENSIONS 1